<?php
// ------------------------------------------------------------------------------
// Ein einfaches PHP-Script um das aktuelle Sternzeichen anzuzeigen.
// 
// Veröffentlicht auf sgs-visual.de 2024
//
// Für die Funktionalität des Scriptes wird keine Garantie gegeben.
// Ich übernehme keine Haftung für mögliche Schäden die durch die
// Nutzung dieses PHP-Scriptes entstehen könnten.
// 
// Diese Information darf nicht entfernt werden.
// ------------------------------------------------------------------------------
	
$aktuellesJahr = date('Y');
$textarray = array(
array("from"=>"$aktuellesJahr-12-22", "to"=>"$aktuellesJahr-01-20", "text"=>"&#9809; <b>Steinbock</b>&nbsp;&nbsp; &#10033; 22.Dez. - 20.Jan."),
array("from"=>"$aktuellesJahr-01-21", "to"=>"$aktuellesJahr-02-19", "text"=>"&#9810; <b>Wassermann</b>&nbsp;&nbsp; &#10033; 21.Jan. - 19.Feb."),
array("from"=>"$aktuellesJahr-02-20", "to"=>"$aktuellesJahr-03-20", "text"=>"&#9811; <b>Fische</b>&nbsp;&nbsp; &#10033; 20.Feb. - 20.Mrz."),
array("from"=>"$aktuellesJahr-03-21", "to"=>"$aktuellesJahr-04-20", "text"=>"&#9800; <b>Widder</b>&nbsp;&nbsp; &#10033; 21.Mrz. - 20.Apr."),
array("from"=>"$aktuellesJahr-04-21", "to"=>"$aktuellesJahr-05-20", "text"=>"&#9801; <b>Stier</b>&nbsp;&nbsp; &#10033; 21.Apr. - 20.Mai."),
array("from"=>"$aktuellesJahr-05-21", "to"=>"$aktuellesJahr-06-21", "text"=>"&#9802; <b>Zwillinge</b>&nbsp;&nbsp; &#10033; 21.Mai. - 20.Jun."),
array("from"=>"$aktuellesJahr-06-22", "to"=>"$aktuellesJahr-07-22", "text"=>"&#9803; <b>Krebs</b>&nbsp;&nbsp; &#10033; 22.Jun. - 22.Jul."),
array("from"=>"$aktuellesJahr-07-23", "to"=>"$aktuellesJahr-08-23", "text"=>"&#9804; <b>Löwe</b>&nbsp;&nbsp; &#10033; 23.Jul. - 23.Aug."),
array("from"=>"$aktuellesJahr-08-24", "to"=>"$aktuellesJahr-09-23", "text"=>"&#9805; <b>Jungfrau</b>&nbsp;&nbsp; &#10033; 24.Aug. - 23.Sep."),
array("from"=>"$aktuellesJahr-09-24", "to"=>"$aktuellesJahr-10-23", "text"=>"&#9806; <b>Waage</b>&nbsp;&nbsp; &#10033; 24.Sep. - 23.Okt."),
array("from"=>"$aktuellesJahr-10-24", "to"=>"$aktuellesJahr-11-22", "text"=>"&#9807; <b>Skorpion</b>&nbsp;&nbsp; &#10033; 24.Okt. - 22.Nov."),
array("from"=>"$aktuellesJahr-11-23", "to"=>"$aktuellesJahr-11-22", "text"=>"&#9808; <b>Schütze</b>&nbsp;&nbsp; &#10033; 24.Nov. - 21.Dez."),	
);
$now = strtotime("now");
for ($i = 0, $found = FALSE; $i < count($textarray) && !$found; $i++) {
$from = strtotime($textarray[$i]["from"]);
if (array_key_exists("to", $textarray[$i])) $to = strtotime($textarray[$i]["to"]);
else $to = $from;
$to = strtotime("+1 day", $to);
if ($now >= $from && $now < $to) $found = TRUE;
}
if ($found) echo($textarray[$i - 1]["text"]);
?>